/**
 * @author kim
 * Created on Mar 11, 2004
 *
 * Interface satisfied by both iterative and recursive maze solvers.
 * Each will be a thread that provides a method to adjust the speed.
 */
public interface MazeSolverInterface {
	
	// Adjust sleep time to reflect desired speed
	// Post:  Solver is set to move faster or slower depending on speed
	public void setSpeed(int speed);
	
	// Start the thread to execute the solver
	// Post: Thread running maze solver has begun execution of its run method
	public void start();
}
